読者です 読者をやめる 読者になる 読者になる

InnerException

C#

C++0x の nested_exception を理解するため、 C# の InnerException を復習中。


C# でのネストした例外の指定方法は以下のようになる

using System;

namespace Program
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                throw new Exception("Error!",
                        new Exception("Inner Error!",
                            new Exception("Inner Inner Error!")));
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                if (e.InnerException != null)
                {
                    Console.WriteLine(e.InnerException.Message);
                    if (e.InnerException.InnerException != null)
                    {
                        Console.WriteLine(e.InnerException.InnerException.Message);
                    }
                }
            }
        }
    }
}


C++0x の nested_exception だと・・・・よくわかんない